Get basic build, version, and cluster information.
::: In Serverless, this API is retained for backward compatibility only. Some response fields, such as the version number, should be ignored.
Cluster privileges
monitor
Expand all
200
application/json
cluster_name
string
required
The responding cluster's name.
cluster_uuid
string
required
name
string
required
The responding node's name.
version
object
required
The running version of Elasticsearch.
−
Hide 9 properties
build_date
union oneOf
required
The Elasticsearch Git commit's date.
One of:
string
or
number
build_flavor
string
required
The build flavor. For example, default.
build_hash
string
required
The Elasticsearch Git commit's SHA hash.
build_snapshot
boolean
required
Indicates whether the Elasticsearch build was a snapshot.
build_type
string
required
The build type that corresponds to how Elasticsearch was installed.
For example, docker, rpm, or tar.
lucene_version
string
required
The version number of Elasticsearch's underlying Lucene software.
minimum_index_compatibility_version
string
required
The minimum index version with which the responding node can read from disk.
minimum_wire_compatibility_version
string
required
The minimum node version with which the responding node can communicate.
Also the minimum version from which you can perform a rolling upgrade.
number
string
required
The Elasticsearch version number.
Serverless environments are versionless and automatically upgraded, so this value can be safely ignored.
Thank you for your feedback.